void printi(int val);
void printstr(char *str);

union sample {
  int val;
  char *str;
};

int main()
{
  union sample s;

  printi(sizeof(union sample));
  printi(sizeof(s));

  s.val = 1;
  printi(s.val);

  s.str = "abcdefg";
  printstr(s.str);

  return 0;
}
